<ion-header>
  <ion-toolbar color="primary">
    <ion-title>
      My Ads
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-segment [(ngModel)]="myads" color="secondary">
    <ion-segment-button value="ads">
      My Ads
    </ion-segment-button>
    <ion-segment-button value="favourite">
      Favourite
    </ion-segment-button>
  </ion-segment>

  <div [ngSwitch]="myads">
    <div *ngSwitchCase="'ads'">
      <ion-grid>
        <ion-row style="margin-top:-20px;margin-left: -16px;  text-align: -webkit-auto;">
          <ion-col size=5
            style="border-radius: 6px;height: 150px;border:1px solid darkgrey;text-align:center;margin-left: 24px;margin-top:20px;"
            *ngFor="let userdata of items">
            <div class="styles1">
              <div style="text-align:center;">
                <img src="{{ userdata.image}}" class="img1">
              </div>
              <ion-row style="text-decoration-style: dotted;
                    width: 173px;">
                <!-- <ion-col  size=3>
                  <ion-icon class="prcietag" name="pricetag"></ion-icon>
                </ion-col> -->
                <ion-col class="price span" style="text-align: -webkit-left;">
                  <p>
                    <ion-icon class="prcietag" name="pricetag"></ion-icon>
                    {{ userdata.rate}}
                  </p>
                </ion-col>
                <ion-col size=2 class="icon-algin" >
                <!-- *ngIf="!userdata.fav" (click)="like(userdata.fav)">
                   <ion-col size=2 class="icon-algin" >
                  <ion-icon name="heart-empty" (click)="like(userdata.fav)"> </ion-icon>
                </ion-col>
                <ion-col size=2 class="icon-algin2" *ngIf="userdata.fav" (click)="unlike(userdata.fav)">
                  <ion-icon name="heart"> </ion-icon> -->
                  <ion-icon color="danger" class="hearticon" [name]="userdata.fav === false? 'heart-empty' : 'heart' "
                    (click)="like(userdata.fav)"></ion-icon>
                </ion-col>
              </ion-row>
              <ion-row>
                <ion-col class="content1">
                  <p class="text-wrap "> {{userdata.description }}</p>
                </ion-col>
              </ion-row>
              <ion-row style="text-decoration-style: dotted;
              width: 173px;">
                <ion-col style="text-align: -webkit-left;" class="content2 span">
                  <p>
                    <ion-icon class="pin" name="pin"></ion-icon>
                    {{userdata.location }}
                  </p>
                </ion-col>
              </ion-row>
            </div>
            <br>
          </ion-col>
        </ion-row>
      </ion-grid>
    </div>

    <div *ngSwitchCase="'favourite'">
      <ion-list>
        <ion-grid>
          <ion-row style="margin-top:-20px;margin-left: -16px;    text-align: -webkit-auto;">
            <ion-col size=5
              style="border-radius: 6px;height: 147px;border:1px solid darkgrey;text-align:center;margin-left: 24px;margin-top:20px;"
              *ngFor="let userdata of items1">
              <div (click)="click(userdata)">
                <img src="{{ userdata.image}}" class="img1" style="height: 70px;  width: 115px;">
              </div>
              <ion-row style="text-decoration-style: dotted;
                    width: 173px;">
                <ion-col class="price span" style="text-align: -webkit-left;">
                  <p>
                    <ion-icon class="prcietag" name="pricetag"></ion-icon>
                    {{ userdata.rate}}
                  </p>
                </ion-col>
                <ion-col size=2 class="icon-algin">
                  <ion-icon color="danger" class="hearticon" [name]="userdata.fav === false? 'heart-empty' : 'heart' "
                    (click)="unlike(userdata.fav)"></ion-icon>
                </ion-col>
              </ion-row>
              <ion-row>
                <ion-col class="content1">
                  <p class="text-wrap"> {{userdata.description }}</p>
                </ion-col>
              </ion-row>
              <ion-row style="text-decoration-style: dotted;
              width: 173px;">
                <ion-col style="text-align: -webkit-left;" class="content2 span">
                  <p>
                    <ion-icon class="pin" name="pin"></ion-icon>
                    {{userdata.location }}
                  </p>
                </ion-col>
              </ion-row>
            </ion-col>
          </ion-row>
        </ion-grid>
        <!-- <div *ngIf="noAds1 == true">
          <img src='assets/imgs/hearts.png' style="height: 122px;
            width: auto;
            margin: auto;
            display: block;
            margin-top: 80px;">
          <h6 style="margin: 15px 62px 0px;
            font-size: smaller;
            color: lightgrey;
            ">You haven't discover anything yet</h6>
          <ion-button expand="block" (click)="data()" style="margin: 17px 85px 0px;
width: 146px;">Discover</ion-button>
        </div> -->
      </ion-list>
    </div>

  </div>
</ion-content>